<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [NS](./bitburner.ns.md) &gt; [hackAnalyze](./bitburner.ns.hackanalyze.md)

## NS.hackAnalyze() method

Get the part of money stolen with a single thread.

**Signature:**

```typescript
hackAnalyze(host: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  host | string | Hostname of the target server. |

**Returns:**

number

The part of money you will steal from the target server with a single thread hack.

## Remarks

RAM cost: 1 GB

Returns the part of the specified server’s money you will steal with a single thread hack.

Like other basic hacking analysis functions, this calculation uses the current status of the player and server. To calculate using hypothetical server or player status, obtain access to the Formulas API and use [formulas.hacking.hackPercent](./bitburner.hackingformulas.hackpercent.md)<!-- -->.

## Example


```js
//For example, assume the following returns 0.01:
const hackAmount = ns.hackAnalyze("foodnstuff");
//This means that if hack the foodnstuff server using a single thread, then you will steal 1%, or 0.01 of its total money. If you hack using N threads, then you will steal N*0.01 times its total money.
```

